# Function RxapPipeDataSource

- RxapPipeDataSource(
  metadata: PipeDataSourceMetadata,
  className?: string,
  packageName?: string,
  ): (target: Constructor<PipeDataSource<any, any>>) => void

  #### Parameters

  - metadata: PipeDataSourceMetadata
  - className: string = 'PipeDataSource'
  - packageName: string = '@rxap/data-source'

  #### Returns (target: Constructor<PipeDataSource<any, any>>) => void

  - Defined in packages/angular/data-source/src/lib/pipe.data-source.ts:39